package com.muyu.vehicle.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 车辆连接信息
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "vehicle_connection")
public class VehicleConnectionReq {

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;


    /**
     * 车辆VIN
     */
    private String vehicleVin;

    /**
     * 时间戳
     */

    private String timestamp;

    /**
     * 用户名
     */

    private String username;


    /**
     * 随机字符串
     */
    private String nonce;


    /**
     * 密码
     */
    private String password;


}
